package com.jw.app.mapping.action;

import java.util.Map;

import com.gaowj.business.action.BasicAction;
import com.gaowj.business.exception.BusinessException;
import com.gaowj.business.util.RequestUtils;

public class viewAction extends BasicAction {

	/**
	 * 
	 */
	private static final long serialVersionUID = 6789569565561859531L;
	
	public String mappingApplistLoad() throws BusinessException{
		return "mappingApplistLoad";
	}
	
	public String mappingAppdetailLoad() throws BusinessException{
		Map<String,Object> query = RequestUtils.getUpdateFieldMapUtf8(request, RequestUtils.UPDATEDATAFIELDPREFIX);
	    request.setAttribute("is_row", query);
		return "mappingAppdetailLoad";
	}
	
	public String mappingUserlistLoad() throws BusinessException{
		return "mappingUserlistLoad";
	}
	
	public String mappingUserdetailLoad() throws BusinessException{
		Map<String,Object> query = RequestUtils.getUpdateFieldMapUtf8(request, RequestUtils.UPDATEDATAFIELDPREFIX);
	    request.setAttribute("is_row", query);
		return "mappingUserdetailLoad";
	}
	
	public String mappinglistLoad() throws BusinessException{
		return "mappinglistLoad";
	}
	
	public String mappinginsertLoad() throws BusinessException{
		Map<String,Object> query = RequestUtils.getUpdateFieldMapUtf8(request, RequestUtils.UPDATEDATAFIELDPREFIX);
	    request.setAttribute("is_row", query);
		return "mappinginsertLoad";
	}
	
	public String mappingdetailLoad() throws BusinessException{
		Map<String,Object> query = RequestUtils.getUpdateFieldMapUtf8(request, RequestUtils.UPDATEDATAFIELDPREFIX);
	    request.setAttribute("is_row", query);
		return "mappingdetailLoad";
	}

}
